summaryrefslogtreecommitdiffstats
path: root/abs/core/sharutils/sharutils.install
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-11-06 18:46:50 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-11-06 18:46:50 (GMT)
commit09a1e7006fbb78166d773463c5cd3553b743ce6c (patch)
tree7bd8777eb462f5f79ffe5fd03932ef1733095dde /abs/core/sharutils/sharutils.install
parent2be566eb97a28d83e371aa70e16cf50ba957c437 (diff)
downloadlinhes_pkgbuild-09a1e7006fbb78166d773463c5cd3553b743ce6c.zip
linhes_pkgbuild-09a1e7006fbb78166d773463c5cd3553b743ce6c.tar.gz
linhes_pkgbuild-09a1e7006fbb78166d773463c5cd3553b743ce6c.tar.bz2
sharutils: archsync for 4.6.3
Diffstat (limited to 'abs/core/sharutils/sharutils.install')
-rw-r--r--abs/core/sharutils/sharutils.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/abs/core/sharutils/sharutils.install b/abs/core/sharutils/sharutils.install
new file mode 100644
index 0000000..5c6a2e3
--- /dev/null
+++ b/abs/core/sharutils/sharutils.install
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(sharutils.info.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}